跳转到内容

MediaWiki talk:Gadget-MarkRights.css

页面内容不支持其他语言。
添加话题
维基百科,自由的百科全书
臺灣象象在话题“編輯請求 2025-02-21”中的最新留言:18天前

編輯請求 2023-12-12

[编辑]

请求已处理

建議將過濾器助理的標示從改成,能更容易辨識是與過濾器有關。

即是將

.markrights-abusefilter-helper:after {
	color: purple;
	content: "防";
}

改為

.markrights-abusefilter-helper:after {
	color: purple;
	content: "濾";
}

.markrights-abusefilter-helper:lang(zh-hans):after,
.markrights-abusefilter-helper:lang(zh-cn):after,
.markrights-abusefilter-helper:lang(zh-my):after,
.markrights-abusefilter-helper:lang(zh-sg):after {
	color: purple;
	content: "滤";
}

--Cookai餅塊🍪💬留言 2023年12月12日 (二) 08:09 (UTC)回复

支持这一修改--及时雨 留言 2023年12月25日 (一) 01:47 (UTC)回复
完成--百無一用是書生 () 2023年12月28日 (四) 03:03 (UTC)回复

編輯請求 2024-10-07

[编辑]

请求已处理。--安忆Talk 2024年10月9日 (三) 20:37 (UTC)回复

共识,于第167行加入以下内容以适配仲裁委员会委员。

.markrights-arbcom:after {
	color: purple;
	content: "裁";
}

这个字繁简似乎一样,所以不用包含其他语言变体。--即请秋安 ZhaoFJx() 2024年10月7日 (一) 23:45 (UTC)回复

編輯請求 2024-11-05

[编辑]

请求已处理

无人反对修订意见,于第172行加入以下内容以适配WP:活动组织者

.markrights-event-organizer:lang(zh-hans):after,
.markrights-event-organizer:lang(zh-cn):after,
.markrights-event-organizer:lang(zh-my):after,
.markrights-event-organizer:lang(zh-sg):after {
	color: blue;
	content: "组";
}

.markrights-event-organizer:after {
	color: blue;
	content: "組";
}

--即请秋安 ZhaoFJx() 2024年11月5日 (二) 15:13 (UTC)回复

完成--百無一用是書生 () 2024年11月24日 (日) 08:44 (UTC)回复

編輯請求 2025-02-21

[编辑]

有鉴于过滤器编辑者用户组已经正式部署,在此建议使用同管理员颜色一样的“滤”标记过滤器编辑者。这样,相较于“编”,可以使用户更好理解标记含义。Iming 彼女の愛は、甘くて痛い。 2025年5月30日 (五) 18:01 (UTC)回复


WP:AFE已通过且已于近日完成部署,请添加:

.markrights-abusefilter:after {
	color: mediumvioletred;
	content: "滤";
}

.markrights-abusefilter:lang(zh-hant):after,
.markrights-abusefilter:lang(zh-hk):after,
.markrights-abusefilter:lang(zh-mo):after,
.markrights-abusefilter:lang(zh-tw):after {
	color: mediumvioletred;
	content: "濾";
}

多谢。--Iming 彼女の愛は、甘くて痛い。 2025年2月21日 (五) 02:11 (UTC)回复

使用和管理员一样的颜色区分两个权限(过滤器助理和过滤器编辑者),这样应该不会导致误解,至少比原先的紫色“编”强。Iming 彼女の愛は、甘くて痛い。 2025年4月20日 (日) 13:29 (UTC)回复
和abusefilter-helper都是"濾",重复没关系吗?--百無一用是書生 () 2025年4月22日 (二) 03:11 (UTC)回复
那么先使用“编”和“編”吧。我挂个rfc问问其他人意见。谢谢您了。Iming 彼女の愛は、甘くて痛い。 2025年4月22日 (二) 03:18 (UTC)回复
@Iming话说问好了吗 Stang1333 2025年5月28日 (三) 12:31 (UTC)回复
忘了抱歉,我现在开个rfc。--Iming 彼女の愛は、甘くて痛い。 2025年5月30日 (五) 17:53 (UTC)回复
简繁差异?感觉隐晦和难以记忆。“编”感觉宽泛,编者、模板編輯員也都符合。我倾向过滤器编者=防(滥用过滤器),助理=助,这样缺点是滥用过滤器的称呼部分人可能没有“防”字印象,助字在非权限用户组Wikipedia:傀儡調查/調查助理中有出现。--YFdyh000留言2025年6月3日 (二) 09:56 (UTC)回复
虽然颜色可自定义但是还是尽量不要做这种仅用颜色区分的有违WP:A11Y的事吧。 ——魔琴留言 贡献 PJ:小學 PJ:兩岸 2025年5月30日 (五) 22:45 (UTC)回复
个人觉得过滤器编辑者的数量较助理少得多,做的事又无太大差别,统一用“滤”也无妨,不用分太清楚。--Srapoj留言2025年11月12日 (三) 20:33 (UTC)回复
@ImingShizhaoStangYFdyh000魔琴是否仍有什麼需要討論的內容?似乎還未見共識。—— Eric Liu 創造は生命(留言留名學生會 2025年6月12日 (四) 16:50 (UTC)回复
支持使用跟efh一樣顏色的「編」。--Aqurs 2025年6月12日 (四) 17:10 (UTC)回复
过滤器编辑者可以从无到有「编织」出「网」。《说文》:「编,次𥳑也。」「结,作布帛之緫名也。」《易传》:「作结绳而为网罟」,可以用「结」。
过滤器助理,並不「编织」出「网」,但是其职务仍有「利用」「网」的一面。《周礼》:「冥氏,掌设弧张。为阱擭以攻猛兽,以灵鼓敺之。」可以考慮取「冥氏」的「冥」字。 ——魔琴留言 贡献 PJ:小學 PJ:兩岸 2025年7月14日 (一) 04:39 (UTC)回复
感谢观点。但从字面上,单字可能产生许多理解,强定某种,反而不便,比如网也可指网络封禁例外(IPBE),结可能解读出存废结案相关,冥更是看起来不明觉厉(比如永久封号相关)。--YFdyh000留言2025年7月14日 (一) 06:25 (UTC)回复
@YFdyh000不用「結」的話,用「織」如何?「冥」確實比較麻煩,竊以爲閣下提的「助」也是不錯的選擇(唯一怕的是以後多來幾個「助理」,到時候再說亦不遲)。 ——魔琴留言 贡献 PJ:小學 PJ:兩岸 2025年7月14日 (一) 06:30 (UTC)回复
如果期望易懂而不是新增一些要记忆的魔法词,我目前倾向加间隔(每个content的结尾加个空格)、不限于单个字。--YFdyh000留言2025年7月14日 (一) 06:44 (UTC)回复
@YFdyh000如果不限于单個字的话可以考慮竖排。我整了一套规则,看起来还可以。代價是行间距会提高。我不认为「结」、「织」是什麼魔法词,其意義已经很明显了。反倒是「临=>临时账号IP查看者」、「组=>活动组织者」更加不直观。「助」我觉得这個阶段先用就好,如果以後有別的什麼助理也许可以避免用这個字。 ——魔琴留言 贡献 PJ:小學 PJ:兩岸 2025年7月19日 (六) 13:58 (UTC)回复
个人来说,偏好行变长,对于PC,横向空间更充足。不能一眼(直觉上)辨识都挺魔法的,包括我没注意过的临、组等标识,但这可能算个人偏好,我之前不了解有如此多标识,如果用户能方便地自定显隐哪些及排布效果就太好了。我没完全复现您的CSS效果。--YFdyh000留言2025年7月19日 (六) 14:29 (UTC)回复
@YFdyh000用的是m:User:魔琴/MarkRights/SAR.js,从太阳饼的版本改的。话说太阳饼老师打不打算把您的版本拉到本站。 ——魔琴留言 贡献 PJ:小學 PJ:兩岸 2025年7月19日 (六) 14:51 (UTC)回复
@魔琴MediaWiki_talk:Gadget-MarkRights.js#c-SunAfterRain-20250623135300-Ericliu1912-20250612165100--SunAfterRain 2025年7月20日 (日) 14:05 (UTC) 👍1回复
反對通過古文拐彎抹角地取字(如「冥」),我們又不是典大基維。不過對於其他現代漢語中仍保留相近語義者(如「網」、「結」)則無意見。--1F616EMO喵留言回覆請ping2025年7月14日 (一) 10:32 (UTC)回复
小半年了.... 看了一下上面的讨论,不如我们从“防”和“编”里二选一吧?@Stang、@YFdyh000、@魔琴、@Ericliu1912、@Aqurs1、@SunAfterRainIming 彼女の愛は、甘くて痛い。 2025年8月8日 (五) 07:57 (UTC)回复
這討論感覺幾乎被遺忘了......再掛一次rfc吧--象象🐘(留言|貢獻) 2026年2月9日 (一) 03:00 (UTC)回复
@1F616EMO@Aqurs1@Ericliu1912@Exusiai@Shizhao@Srapoj@Stang@SunAfterRain@YFdyh000@魔琴邀請各位回來參與討論。--象象🐘(留言|貢獻) 2026年2月9日 (一) 03:03 (UTC)回复
能否以字型大小區分正職和助理,同時輔以顏色?例如用戶查核員用大寫「查」,傀儡調查助理用小寫;過濾器編輯者用大寫「濾」,過濾器助理用小寫。--1F616EMO喵留言求助?2026年2月10日 (二) 08:01 (UTC)回复
同意,另外顏色的部分過濾器編輯者或許可以用藍色,至少除了紅綠色盲症患者和全色盲患者以外的人應該皆可清楚辨識--象象🐘(留言|貢獻) 2026年2月10日 (二) 08:06 (UTC)回复
@1F616EMO具體修改方案:
.markrights-abusefilter:after {
	color: blue;
	content: "濾";
}
.markrights-abusefilter:lang(zh-hans):after,
.markrights-abusefilter:lang(zh-cn):after,
.markrights-abusefilter:lang(zh-my):after,
.markrights-abusefilter:lang(zh-sg):after {
	color: blue;
	content: "滤";
}

.markrights-abusefilter-helper:after {
	color: purple;
	content: "濾";
    font-size: 85%;
}
.markrights-abusefilter-helper:lang(zh-hans):after,
.markrights-abusefilter-helper:lang(zh-cn):after,
.markrights-abusefilter-helper:lang(zh-my):after,
.markrights-abusefilter-helper:lang(zh-sg):after {
	color: purple;
	content: "滤";
	font-size: 85%;
}
--象象🐘(留言|貢獻) 2026年2月14日 (六) 14:59 (UTC)回复
要自信一点,不是几乎(),就是被遗忘了()Exusiai 彼女の愛は、甘くて痛い。 2026年2月9日 (一) 16:02 (UTC) 🤣1回复
Example巡退滤,Example巡退,Example,Example。感觉区分程度…… ——魔琴留言 贡献 PJ:小學 PJ:兩岸 2026年2月14日 (六) 15:16 (UTC)回复
那我再提个建议:过滤器编辑者可以作“滤+”或者“滤±” ——魔琴留言 贡献 PJ:小學 PJ:兩岸 2026年2月14日 (六) 15:20 (UTC)回复
或者「濾+」?--1F616EMO喵留言求助?2026年2月14日 (六) 15:25 (UTC)回复
那你要打算怎么在伪元素的content里面写sup元素呢( ——魔琴留言 贡献 PJ:小學 PJ:兩岸 2026年2月14日 (六) 15:28 (UTC)回复
其實應該不需要sup元素--象象🐘(留言|貢獻) 2026年2月14日 (六) 15:55 (UTC)回复

另一個方案如下:

.markrights-abusefilter:before {
	color: blue;
	content: "濾";
}
.markrights-abusefilter:lang(zh-hans):before,
.markrights-abusefilter:lang(zh-cn):before,
.markrights-abusefilter:lang(zh-my):before,
.markrights-abusefilter:lang(zh-sg):before {
	color: blue;
	content: "滤";
}
.markrights-abusefilter:after {
	color: blue;
	font-size: 90%;
	vertical-align: super;
	position: relative;
	top: 50%;
	content: "+";
}

--象象🐘(留言|貢獻) 2026年2月14日 (六) 15:58 (UTC)回复

微調方案--象象🐘(留言|貢獻) 2026年2月14日 (六) 16:06 (UTC)回复
@1F616EMO@魔琴--象象🐘(留言|貢獻) 2026年2月14日 (六) 23:58 (UTC) 👍1回复
如果沒有人反對的話我明天就會對此方案進行公示。通知@Aqurs1@Ericliu1912@Exusiai@Shizhao@Srapoj@Stang@SunAfterRain@YFdyh000--象象🐘(留言|貢獻) 2026年2月16日 (一) 13:17 (UTC)回复
我在想,过滤器助理需不需要也加一个符号。 ——魔琴留言 贡献 PJ:小學 PJ:兩岸 2026年2月16日 (一) 15:27 (UTC)回复
或許可以用上標的「助」字?「*」和「-」或許也可以--象象🐘(留言|貢獻) 2026年2月16日 (一) 15:32 (UTC)回复
不认为有必要,“滤+”不妨理解为带编辑权的过滤器助理。--Srapoj留言2026年2月16日 (一) 17:42 (UTC)回复
如果采用“滤”和“滤+”这种写法,不妨让它们使用相同的颜色?
(...) 吐槽:其实简体的color都可以略去、:lang也可以按Dabao qian说的简化。然而整个文件都这么写的,还是暂时保持一致吧。--Srapoj留言2026年2月16日 (一) 17:42 (UTC)回复
但是空間不夠時,「+」會自動排到下一行,因此用顏色區別應該還是有必要--象象🐘(留言|貢獻) 2026年2月17日 (二) 04:49 (UTC)回复
如果使用U+207A),可以在不修改字形等參數的情況下顯示上標,或可解決上述換行問題。--1F616EMO喵留言求助?2026年2月17日 (二) 07:19 (UTC)回复
我剛剛試過了,這確實可以解決這個問題,這樣或許可以用和其他權限一樣的代碼格式。--象象🐘(留言|貢獻) 2026年2月17日 (二) 09:53 (UTC)回复
第二個方案:
.markrights-abusefilter::after {
	color: purple;
	content: "濾*";
}
.markrights-abusefilter:lang(zh-Hans)::after {
	content: "滤*";
}
@1F616EMOSrapoj魔琴--象象🐘(留言|貢獻) 2026年3月7日 (六) 08:45 (UTC)回复

編輯請求 2025-08-10

[编辑]

请求已处理

请添加对新加入的用户组 electionclerk 和 scrutineer 的支持,谢谢。 Stang1259 2025年8月10日 (日) 08:46 (UTC)回复

.markrights-electionclerk:after {
	color: blue;
	content: "安";
}

.markrights-scrutineer:after {
	color: black;
	content: "察";
}

个人建议使用这样的命名,选举助理使用“安”字避免和abusefilter-helper混淆,选举监察员使用“察”字避免和OSer/Steward混淆。希望可以进一步讨论寻求共识。 Stang1245 2025年8月25日 (一) 03:28 (UTC)回复

进行7日公示。 Stang1233 2025年9月5日 (五) 05:35 (UTC)回复

公示结束并通过。@ShizhaoDiskdance如有空闲麻烦处理一下,谢谢。 Stang1224 2025年9月15日 (一) 00:47 (UTC)回复

完成。请复查。--碟之舞📀💿 2025年9月15日 (一) 01:48 (UTC)回复
( π )题外话:这个小工具的:lang()伪类选择器不是用的BCP47语言代码,其实只用:lang(zh-Hans)就可以匹配到简体(zh-Hans)、大陆简体(zh-Hans-CN)、大马简体(zh-Hans-MY)和新加坡简体(zh-Hans-SG)。目前BCP47语言代码唯一不正常的地方就是参考文献预览功能。--Dabao qian 2025年9月16日 (二) 08:48 (UTC)回复
而且::after伪元素也应该是双冒号。--Dabao qian 2025年9月16日 (二) 08:51 (UTC)回复

編輯請求 2026-02-26

[编辑]

移除accountcreator(大量帳號建立者),見Wikipedia talk:活动组织者#合併大量帳號建立者和活動組織者T418089。--象象🐘(留言|貢獻) 2026年2月26日 (四) 17:22 (UTC)回复